ata_scsiop_inq_80
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsiop_inq_80 — Simulate INQUIRY VPD page 80, device serial number

## Synopsis

`unsigned int ata_scsiop_inq_80 (` | struct ata_scsi_args * | args,
| u8 * | rbuf,
| unsigned int | buflen`)`;

## Arguments

`args`

  device IDENTIFY data / SCSI command of interest.

`rbuf`

  Response buffer, to which simulated SCSI cmd output is sent.

`buflen`

  Response buffer length.

## Description

Returns ATA device serial number.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_scsiop_inq_00 | Home | ata_scsiop_inq_83